## Summary
The gpx2slc.py script converts .gpx files into a .slc file (the Nissan Leaf's navigation system user backup format).
The generated file can then be copied to an SD-Card and imported by the the navigation system.
NOTE: Unfortunately only maximum 200 POIs are supported due to limitations of the Nissan Leaf's navigation system.

## Dependencies
- Python3 with libraries (xml, math)

## HowTo
1. Get a .gpx file containing EV charging station POIs (e.g. from goingelectric.de or lemnet.org). Make sure it contains maximum 200 POIs (otherwise the import will fail later on).
2. Convert the gpx to an slc file: python3 gpx2slc.py storedlocation.slc
3. Copy storedlocation.slc to the an SD card into the userdata folder (make sure the SD card is FAT32 formatted).
4. Use the SD card to import the POIs in the Leaf's navigation system. 
